﻿<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")

</head>
<body class="align-items-center">
    <header class="d-flex flex-wrap justify-content-center py-3 mb-4 border-bottom w-75">
        <a href="/" class="d-flex align-items-center mb-3 mb-md-0 me-md-auto text-dark text-decoration-none">
            <img src="~/Content/Images/Icon.png" class="logo-img" />
        </a>
        @if (User.Identity.IsAuthenticated)
        {
            <div class="dropdown d-flex">
                <button class="dropbtn btn-outline-dark">Account management</button>
                <ul class="dropdown-content list-group list-group-flush">
                    @if (User.IsInRole("User"))
                    {
                        <li class="list-group-item">@Html.ActionLink("My Summaries", "ShowUserSummaries", "Summary", null, new { @class = "dropdown-item" })</li>
                    }
                    @if (User.IsInRole("Employer"))
                    {
                        <li class="list-group-item">@Html.ActionLink("Favorites", "GetUserFavorites", "Summary", null, new { @class = "dropdown-item" })</li>
                    }
                    @if (User.IsInRole("Admin"))
                    {
                        <li class="list-group-item">@Html.ActionLink("All Users", "AllUsers", "User", null, new { @class = "dropdown-item" })</li>
                    }
                    <li class="list-group-item">@Html.ActionLink("Profile", "GetProfile", "User", null, new { @class = "dropdown-item" })</li>
                    <li class="list-group-item">@Html.ActionLink("Sign out", "Logout", "User", null, new { @class = "dropdown-item" })</li>
                </ul>
            </div>
        }
        else
        {
            <ul class="nav nav-pills">
                <li class="nav-item">@Html.ActionLink("Login", "Login", "User", null, new { @class = "btn btn-outline-primary me-2" })</li>
                <li class="nav-item">@Html.ActionLink("Sign-Up", "Register", "User", null, new { @class = "btn btn-primary" })</li>
            </ul>
        }
    </header>

    <main class="d-flex justify-content-center w-75 m-0">
        @RenderBody()
    </main>

    <footer class="d-flex bg-dark flex-wrap justify-content-between align-items-center py-3 border-top w-100">
        <div class="col-md-4 offset-md-2 d-flex align-items-center">
            <span class="text-white">© Ananiev Maksym maksym.ananiev24@gmail.com, Inc</span>
        </div>

        <a href="#top" class="d-flex col-md-4 offset-md-2 justify-content-center d-flex">
            <img src="~/Content/Images/TopArrow.png" class="logo-img filter-invert-100" />
        </a>
    </footer>
    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/scripts/jquery.unobtrusive-ajax.js")
    <script src="~/Scripts/bootstrap.js"></script>
    @RenderSection("scripts", required: false)
</body>
</html>
